CMSIS-DSP: Cityblock (Manhattan) distance

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Cityblock (Manhattan) distance
Float Distances

## Functions

float16_t | arm_cityblock_distance_f16 (const float16_t *pA, const float16_t *pB, uint32_t blockSize)
| Cityblock (Manhattan) distance between two vectors. More...
float32_t | arm_cityblock_distance_f32 (const float32_t *pA, const float32_t *pB, uint32_t blockSize)
| Cityblock (Manhattan) distance between two vectors. More...
float64_t | arm_cityblock_distance_f64 (const float64_t *pA, const float64_t *pB, uint32_t blockSize)
| Cityblock (Manhattan) distance between two vectors. More...

## Description

Cityblock (Manhattan) distance

## Function Documentation

float16_t arm_cityblock_distance_f16 | ( | const float16_t * | pA,
|  | const float16_t * | pB,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pA | First vector
  [in] | pB | Second vector
  [in] | blockSize | vector length

Returns
  distance

float32_t arm_cityblock_distance_f32 | ( | const float32_t * | pA,
|  | const float32_t * | pB,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pA | First vector
  [in] | pB | Second vector
  [in] | blockSize | vector length

Returns
  distance

float64_t arm_cityblock_distance_f64 | ( | const float64_t * | pA,
|  | const float64_t * | pB,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | pA | First vector
  [in] | pB | Second vector
  [in] | blockSize | vector length

Returns
  distance